Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_StringSeq_var Class Reference

`#include <StringSeqC.h>`

Collaboration diagram for CORBA_StringSeq_var:

[legend]
List of all members.

## Public Methods
| CORBA_StringSeq_var (void)
| CORBA_StringSeq_var (CORBA_StringSeq *)
| CORBA_StringSeq_var (const CORBA_StringSeq_var &)
| ~CORBA_StringSeq_var (void)
CORBA_StringSeq_var & | operator= (CORBA_StringSeq *)
CORBA_StringSeq_var & | operator= (const CORBA_StringSeq_var &)
CORBA_StringSeq * | operator-> (void)
const CORBA_StringSeq * | operator-> (void) const
| operator const CORBA_StringSeq & () const
| operator CORBA_StringSeq & ()
| operator CORBA_StringSeq & () const
| operator CORBA_StringSeq *& ()
TAO_SeqElem_String_Manager | operator[] (CORBA::ULong index)
const CORBA_StringSeq & | in (void) const
CORBA_StringSeq & | inout (void)
CORBA_StringSeq *& | out (void)
CORBA_StringSeq * | _retn (void)
CORBA_StringSeq * | ptr (void) const
## Private Attributes
CORBA_StringSeq * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA_StringSeq_var::CORBA_StringSeq_var | ( | void |  | ) |

ACE_INLINE CORBA_StringSeq_var::CORBA_StringSeq_var | ( | CORBA_StringSeq * | p | ) |

CORBA_StringSeq_var::CORBA_StringSeq_var | ( | const CORBA_StringSeq_var & |  | ) |

ACE_INLINE CORBA_StringSeq_var::~CORBA_StringSeq_var | ( | void |  | ) |

## Member Function Documentation

CORBA_StringSeq* CORBA_StringSeq_var::_retn | ( | void |  | ) |

const CORBA_StringSeq& CORBA_StringSeq_var::in | ( | void |  | ) | const

CORBA_StringSeq& CORBA_StringSeq_var::inout | ( | void |  | ) |

CORBA_StringSeq_var::operator const CORBA_StringSeq & | ( |  | ) | const

CORBA_StringSeq_var::operator CORBA_StringSeq & | ( |  | ) | const

CORBA_StringSeq_var::operator CORBA_StringSeq & | ( |  | ) |

CORBA_StringSeq_var::operator CORBA_StringSeq *& | ( |  | ) |

ACE_INLINE const ::CORBA_StringSeq * CORBA_StringSeq_var::operator-> | ( | void |  | ) | const

ACE_INLINE::CORBA_StringSeq * CORBA_StringSeq_var::operator-> | ( | void |  | ) |

CORBA_StringSeq_var& CORBA_StringSeq_var::operator= | ( | const CORBA_StringSeq_var & |  | ) |

ACE_INLINE CORBA_StringSeq_var & CORBA_StringSeq_var::operator= | ( | CORBA_StringSeq * | p | ) |

TAO_SeqElem_String_Manager CORBA_StringSeq_var::operator[] | ( | CORBA::ULong | index | ) |

CORBA_StringSeq*& CORBA_StringSeq_var::out | ( | void |  | ) |

CORBA_StringSeq* CORBA_StringSeq_var::ptr | ( | void |  | ) | const

## Member Data Documentation

CORBA_StringSeq* CORBA_StringSeq_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- StringSeqC.h
- StringSeqC.i